# Address

Listens for DTLS syslog messages on the specified local IP address. .. summary-end

This parameter applies to imdtls: Input Module for DTLS Protocol over UDP.

Name:

  address

Scope:

  input

Type:

  word

Default:

  none

Required?:

  no

Introduced:

  v8.2402.0

## Description

Specifies the IP address on which the imdtls module will listen for incoming syslog messages. By default the module listens on all available network connections.

## Input usage

    module(load="imdtls")
    input(type="imdtls" address="192.0.2.1")

## See also

See also imdtls: Input Module for DTLS Protocol over UDP.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.